curl --request POST \
--url https://api.stackone.com/actions/rpc/synced/queryable_fields \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"action": "hris_list_employees"
}
'import requests
url = "https://api.stackone.com/actions/rpc/synced/queryable_fields"
payload = { "action": "hris_list_employees" }
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({action: 'hris_list_employees'})
};
fetch('https://api.stackone.com/actions/rpc/synced/queryable_fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action_id": "<string>",
"fields": [
{
"field": "<string>",
"type": "<string>"
}
],
"syncs": [
{
"sync_id": "<string>",
"sync_name": "<string>",
"synced_at": "<string>",
"expires_at": "<string>"
}
],
"synced_at": "<string>",
"expires_at": "<string>"
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 412,
"message": "Account is suspended and cannot process requests",
"timestamp": "2023-05-30T00:00:00.000Z",
"errorCode": "AccountSuspendedError",
"details": {
"status": "suspended",
"expiresAt": "2023-11-07T05:31:56Z",
"statusReasons": [
{
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"description": "<string>"
}
]
}
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}List the fields a synced action's data can be queried by
Returns the field names and types accepted by filter, sort, source and aggs on POST /actions/rpc/synced, discovered from this accountās synced records. Returns an empty fields list when the action is not sync-enabled for the account or has no readable sync yet.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
The account identifier
Body
The synced action to list queryable fields for
"hris_list_employees"
Response
The queryable fields and the readable syncs of the action.
The action the fields belong to.
Fields discovered from this account's synced records. Empty when the action has no readable sync yet.
Show child attributes
Show child attributes
Each readable sync of the action, with its freshness.
Show child attributes
Show child attributes
Present only when there is exactly one readable sync: when it was synced.
Present only when there is exactly one readable sync: when it expires.
Was this page helpful?